﻿using System.Windows;
using System;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.Drawing;
using ThinkGeo.MapSuite.Wpf;
using System.Collections.ObjectModel;


namespace _8697
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void map_Loaded(object sender, RoutedEventArgs e)
        {
            map.MapUnit = GeographyUnit.DecimalDegree;

            map.TrackOverlay.TrackShapeLayer.InternalFeatures.Add(new Feature(new LineShape(new Collection<Vertex>() { new Vertex(-5, -5), new Vertex(0, 0) })));


            map.CurrentExtent = new RectangleShape(-10, 10, 10, -10);
            map.Refresh();
        }

        private void btn_Click(object sender, RoutedEventArgs e)
        {
            Feature feature = map.TrackOverlay.TrackShapeLayer.InternalFeatures[0];
            BaseShape shape = feature.GetShape();

            Random r1 = new Random();
            
            shape.TranslateByDegree(r1.Next(1, 2), r1.Next(360));
            Feature newFeature = new Feature(shape);
            map.TrackOverlay.TrackShapeLayer.Clear();
            map.TrackOverlay.TrackShapeLayer.InternalFeatures.Add(newFeature);
            map.Refresh();
        }
    }
}
